Customer

Get customer changes for date

get
/api/ConsumerApi/v1/DataExtract/Restaurant/{deploymentId}/{providerId}/CustomerChange/{changeDate}

Gets the changes to any customers for the specified date.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
deploymentIdinteger · int32Required

The Id of the deployment that the provider is in.

providerIdinteger · int32Required

The provider's Id.

changeDatestring · date-timeRequired

The date to get the changes for, in UTC.

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

Contains a change that was made to a customer. Null fields mean they have not been changed. If all the fields are null, it means that a property that is not currently being reported has been changed.

CustomerIdinteger · int32Optional

The Customer Id

ProviderIdinteger · int32Optional

The provider id the customer is associated with.

ModifiedByUserIdinteger · int32Optional

The internal ResDiary Id of the user who made the change.

ModifiedDateTimestring · date-timeOptional

The date and time the change was made in UTC.

EmailAddressstringOptional

The new email address

MobileNumberstringOptional

The new Mobile number

ReceiveGroupEmailMarketingbooleanOptional

The new group email opt-in setting

GroupEmailMarketingOptInDateTimestring · date-timeOptional

The new group email opt-in date

GroupEmailMarketingOptInTextstringOptional

The new group email opt-in text

ReceiveGroupSmsMarketingbooleanOptional

The new group sms opt-in setting

GroupSmsMarketingOptInDateTimestring · date-timeOptional

The new group sms opt-in date

GroupSmsMarketingOptInTextstringOptional

The new group sms opt-in text

ReceiveRestaurantEmailMarketingbooleanOptional

The new restaurant email opt-in setting

RestaurantEmailMarketingOptInDateTimestring · date-timeOptional

The new restaurant email opt-in date

RestaurantEmailMarketingOptInTextstringOptional

The new restaurant email opt-in text

ReceiveRestaurantSmsMarketingbooleanOptional

The new restaurant sms opt-in setting

RestaurantSmsMarketingOptInDateTimestring · date-timeOptional

The new restaurant sms opt-in date

RestaurantSmsMarketingOptInTextstringOptional

The new restaurant sms opt-in text

CustomerMarketingSourceIpAddressstringOptional

The new IP address of the latest recorded Marketing opt-in change that the request comes from.

DeletedbooleanOptional

The new deleted status

CommentsstringOptional

The new comments relating to the customer.

get
/api/ConsumerApi/v1/DataExtract/Restaurant/{deploymentId}/{providerId}/CustomerChange/{changeDate}
200

OK

Get customers created after date

get
/api/ConsumerApi/v1/DataExtract/Restaurant/{deploymentId}/{providerId}/Customers

Gets customers for a provider created on or after a supplied date.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
deploymentIdinteger · int32Required

The Id of the deployment that the restaurant is in.

providerIdinteger · int32Required

The restaurant's Id.

Query parameters
fromCreationDatestring · date-timeRequired

The customer creation date to start searching from.

includeBlockedCustomersbooleanOptional

True if the results should include blocked customers, false otherwise.

pageNumberinteger · int32Optional

The page number to return. Pages start at 1.

pageSizeinteger · int32Optional

The number of customers to return per page.

api-versionstringOptional
Responses
chevron-right
200

OK

TotalRowsinteger · int32Optional
PageNumberinteger · int32Optional
TotalPagesinteger · int32Optional
PreviousUrlstringOptional
NextUrlstringOptional
get
/api/ConsumerApi/v1/DataExtract/Restaurant/{deploymentId}/{providerId}/Customers
200

OK

Last updated

Was this helpful?